/// <reference types="node" />
import { Socket } from "net";
import { ConnectionOptions, TLSSocket } from "tls";
/**
 * Returns a string describing the encryption on a given socket instance.
 */
export declare function describeTLS(socket: Socket | TLSSocket): string;
/**
 * Returns a string describing the remote address of a socket.
 */
export declare function describeAddress(socket: Socket): string;
/**
 * Upgrade a socket connection with TLS.
 */
export declare function upgradeSocket(socket: Socket, options: ConnectionOptions): Promise<TLSSocket>;
